<template>
  <div>
    <google-map name="example"></google-map>
    <Card style="width:400px">
        <p slot="title" >
            <Icon type="ios-compass" />
            VivuBus ...
        </p>
        <div slot="extra">
        <Button type="text" shape="circle" :icon="showControl?'ios-arrow-dropup':'ios-arrow-dropdown'" @click="showControl=!showControl"></Button>
        </div>
        <div>
          <Tabs  class="home-body-card" v-show="showControl" :style="{height:maxheight+'px'}">
            <TabPane label="Tìm xe" icon="logo-apple">
                <bus-finder></bus-finder>
            </TabPane>
            <TabPane label="Tra cứu" icon="logo-windows">
              <list-router></list-router>
            </TabPane>
            <TabPane label="Hướng dẫn" icon="logo-tux">Hướng dẫn</TabPane>
        </Tabs>
        </div>
    </Card>
  </div>
</template>
<script>
  import GoogleMap from './components/GoogleMap.vue'
  import BusFinder from './components/BusFinder.vue'
  import ListRouter from './components/ListRouter.vue'
  export default {
    name: 'app',
    components: {
      GoogleMap,
      BusFinder,
      ListRouter,
    },
    data() {
      return {
        showControl: true,
        value1: true,
        maxheight:window.innerHeight-50
      }
    },
    mounted() {
      document.getElementsByClassName("ivu-card-body")[0].style.padding=0;
      // let self = this;
      // let intervalID = setInterval(function() {
      //   if (typeof window.google == 'object') {
      //     clearInterval(intervalID);
      //   }
      // }, 10)
    },
    methods: {
    }
  }
</script>

<style>
  .home-body-card {
    padding-top: 0px;
  }
  .ivu-card-head{
    height:50px;
  }
  .ivu-card-body{
    padding: 0px;
  }
</style>
